PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_clacpy | ( | PLASMA_enum | uplo,
|  | int | M,
|  | int | N,
|  | PLASMA_Complex32_t * | A,
|  | int | LDA,
|  | PLASMA_Complex32_t * | B,
|  | int | LDB
| ) |  |

PLASMA_clacpy copies all or part of a two-dimensional matrix A to another matrix B

Parameters

  [in] | uplo | Specifies the part of the matrix A to be copied to B. = PlasmaUpperLower: All the matrix A = PlasmaUpper: Upper triangular part = PlasmaLower: Lower triangular part
  [in] | M | The number of rows of the matrix A. M >= 0.
  [in] | N | The number of columns of the matrix A. N >= 0.
  [in] | A | The M-by-N matrix A. If uplo = PlasmaUpper, only the upper trapezium is accessed; if UPLO = PlasmaLower, only the lower trapezium is accessed.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,M).
  [out] | B | The M-by-N matrix B. On exit, B = A in the locations specified by UPLO.
  [in] | LDB | The leading dimension of the array B. LDB >= max(1,M).

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value

See also
  PLASMA_clacpy_Tile
  PLASMA_clacpy_Tile_Async
  PLASMA_clacpy
  PLASMA_dlacpy
  PLASMA_slacpy